package xyz.etztech.javacord.embed

import kotlinx.serialization.Serializable

@Serializable
class Footer {
    private val text: String
    private val iconURL: String
    private val proxyIconURL: String

    constructor(text: String) {
        this.text = text
        iconURL = ""
        proxyIconURL = ""
    }

    constructor(text: String, iconURL: String, proxyIconURL: String) {
        this.text = text
        this.iconURL = iconURL
        this.proxyIconURL = proxyIconURL
    }
}