package xyz.etztech.javacord

import java.time.OffsetDateTime
import xyz.etztech.javacord.embed.Author
import xyz.etztech.javacord.embed.Embed
import xyz.etztech.javacord.embed.Field

fun main() {
    val embed =
        Embed().color(3306460)
            .timestamp(OffsetDateTime.now())
            .title("Etzelia found some \"diamond\" ore")
            .author(Author("Etzelia", "", "https://minotar.net/helm/Etzelia/100.png", ""))
    embed.description(
        escapeFormat("*Test* **Test** _Test_ __Test__ ~Test~ ~~Test~~ |Test| ||Test||")
    )
    embed.addField(Field("Title", "Description"))
    embed.addField(Field("Title2", "Description2"))
    val webhook = Webhook("@here", embed)
    println(webhook)
    val url = System.getenv("JAVACORD_WEBHOOK")
    if ("" != url) {
        sendWebhook(url, webhook)
    }
}