package xyz.etztech.javacord

import kotlinx.serialization.Serializable
import kotlinx.serialization.encodeToString
import kotlinx.serialization.json.Json
import xyz.etztech.javacord.embed.Embed

@Serializable
class Webhook(private val content: String, vararg val embeds: Embed) {
    override fun toString(): String {
        return Json.encodeToString(this)
    }
}